
apply plugin: 'com.google.osdetector'

dependencies {
    api project(':netty-handler-codec')
    implementation project(':netty-bzip2')
    implementation project(':netty-zlib')
    implementation libs.brotli4j
    implementation libs.lz4
    implementation libs.lzf
    implementation libs.zstd
    runtimeOnly libs.brotli4j.native."${osdetector.os}"."${osdetector.arch.replace('_','')}"
    testImplementation testLibs.commons.compress
    testImplementation testLibs.mockito.core
}
